# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'gris_paginator/version'

Gem::Specification.new do |spec|
  spec.name          = 'gris_paginator'
  spec.version       = GrisPaginator::VERSION
  spec.authors       = ['Dylan Fareed']
  spec.email         = %w(email@dylanfareed.com)
  spec.summary       = 'Simple pagination for Gris apps with Kaminari.'
  spec.description   = 'Simple pagination for Gris apps with Kaminari.'
  spec.homepage      = 'https://github.com/dylanfareed/gris-paginator'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_dependency 'gris'
  spec.add_dependency 'activerecord'
  spec.add_dependency 'kaminari'

  spec.add_development_dependency 'bundler'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'byebug'
  spec.add_development_dependency 'sqlite3'
  spec.add_development_dependency 'rubocop'
  spec.add_development_dependency 'database_cleaner'
end
